#version 320

precision highp float;

layout(binding=0) uniform BlockFragment {
	vec4 pParam1;
};

layout(location = 0, binding = 0) uniform sampler2D Sampler0;

in vec2 texCoord;

layout(location = 0) out vec4 pColor;

void main()
{
	vec3 c11 = texture(Sampler0, texCoord).xyz; 

	pColor.rgb = c11;

   // alpha compute

	c11 = vec3(texture(Sampler0, texCoord).a); 

	pColor.a = c11.r;

    if(pColor.a < pParam1.z)
		pColor.a = 0.0;	
	
	if (pParam1.w > 0.0)
	{
		gl_FragDepth = pColor.r;
	}
}
